// footer-sections
.footer-section{
    width: 100%;
    height: 140px;
    background-color: #F5F8FA;
    padding: 0 100px;
    .footer-left{
        width: 25%;
        // justify-content: center;
        align-items: center;
        a{
            display: block;
        }
        img{
            width: 33px;
            height: 27px;
            transition: .3s;
            &:hover{
                transform: scale(1.1);
            }
        }
        .logo-padding{
            padding-right: 40px;
        }
    }
    .footer-middle{
        width: 50%;
        justify-content: center;
        align-items: center;
        .footer-nav{
            font-size: 27px;
            font-family: 'Lato-Bold';
             color: #203565;
            text-transform: uppercase;
        }
        .footer-nav-padding{
            padding-right: 50px;
            &:last-child{
                padding-right:0;
            }
        }
        a{
            transition: .3s;
            &:hover{
                text-decoration: none;
                opacity: .5;
            }
        }
    }

    .footer-right{
        width: 25%;
        justify-content: flex-end;
        align-items: center;
        font-size: 28px;
        font-family: 'Lato-Regular';
        a{
            color: #203565;
            transition: .3s;
            &:hover{
                opacity: .5;
                text-decoration: none;
            }
        }
    }
}

@each $width in $resposive-width{
    @media screen and (max-width: #{$width}px){ 
        .footer-section{
            @if($width == 1440){                
                width: 100%;
                height: 100px;
            } @else if($width == 1280){                
                height: 75px;
            } @else if($width == 991){                
                width: 100%;
                height: auto;
                padding: 15px 50px;
                align-items: center;
            }

            .footer-left{
                @if($width == 991){
                    display: flex;
                    justify-content: center;
                    width: 100%;
                    flex: 1;
                    flex-wrap: wrap;
                }
                a{
                }
                img{
                    
                    @if ($width >= 991){
                        width: #{unitary($width,33)}px;
                        height: #{unitary($width,27)}px;
                    }
                }
                .logo-padding{
                    @if($width == 1440){
                        padding-right: 29px;                        
                    } @else if($width == 1280){
                        padding-right: 25px;
                    } @else if($width == 991){
                        padding: 5px 15px;
                    } @else if($width == 767){
                        padding: 5px 10px;
                    }
                }
            }
            .footer-middle{
                @if($width == 991){
                    width: 100%;
                    display: flex;
                    justify-content: center;
                    flex-direction: column;
                    flex: 1;
                } @else if($width == 414){
                     align-items: center;
                }
                .footer-nav{
                    @if ($width >= 767){
                        font-size: #{unitary($width,27)}px;
                    }
                }
                .footer-nav-padding{
                    @if($width == 1440){
                        padding-right: 35px;
                    } @else if($width == 991){                       
                       padding: 5px 15px;
                    } @else if($width == 414){
                    }
                    &:last-child{
                        @if($width == 991){                       
                           padding: 5px 15px;
                        }
                    }
                }
                a{            
                    &:hover{
                    }
                }
            }

            .footer-right{
                @if ($width >= 767){
                    font-size: #{unitary($width,28)}px;
                }
                @if($width == 991){
                    display: flex;
                    justify-content: center;
                    flex: 1;
                }
                a{
                    &:hover{
                    }
                }
            }
        }
    }
}